<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("titl" . "e" => base64_decode("dGl0" . "bGU="), "_b2f5a100451164396178c16d2a5" . "c6899" => base64_decode("cHJld" . "l90aX" . "RsZQ=" . "="), "_2e858fb1" . "973337f53" . "ff85c104f" . "cb38f4" => base64_decode("cHVibG" . "lzaGVk"), "_6a90de6af30bf720b668cfb570e606" . "de" => base64_decode("cHJl" . "dl9z" . "dGF0" . "ZQ=="), "_939c6a45ff74323dbef487ed" . "15753a7c" => base64_decode("c3RhdGU" . "="), "_4c760fb02a49c55509ba087b84" . "fbda45" => base64_decode("ZHJh" . "ZnQ="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b2f5a100451164396178c16d2a5c689" . "9"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["ti" . "tl" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_6a90de6af30" . "bf720b668cfb" . "570e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_939c6a45ff74323dbef487ed1" . "5753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_939c6a45f" . "f74323dbef" . "487ed15753" . "a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4c760fb02a49c55509ba087b84fbda" . "45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2e858fb197" . "3337f53ff85" . "c104fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}